Overview
Comment: | Added TclUDP support |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
966987c964b043628b4e749557e7a585 |
User & Date: | rkeene on 2014-12-19 01:11:18 |
Other Links: | manifest | tags |
Context
2014-12-19
| ||
02:08 | Added yajltcl support check-in: eb2922d636 user: rkeene tags: trunk | |
01:11 | Added TclUDP support check-in: 966987c964 user: rkeene tags: trunk | |
00:43 | Added TclLib support check-in: bbe03c6049 user: rkeene tags: trunk | |
Changes
Modified .fossil-settings/ignore-glob from [137a3b1513] to [a196c5bbbb].
︙ | ︙ | |||
110 111 112 113 114 115 116 117 118 119 120 121 122 123 | tcllib/build.log tcllib/inst tcllib/inst/* tcllib/out tcllib/out/* tcllib/src tcllib/src/* kitdll/buildsrc/kitdll-0.0/starpack.vfs kitdll/buildsrc/kitdll-0.0/starpack.vfs/* kitdll/buildsrc/kitdll-0.0/test kitdll/buildsrc/kitdll-0.0/configure kitdll/buildsrc/kitdll-0.0/libtcl*.so kitdll/buildsrc/kitdll-0.0/Makefile kitdll/buildsrc/kitdll-0.0/*.o | > > > > > > > > > | 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 | tcllib/build.log tcllib/inst tcllib/inst/* tcllib/out tcllib/out/* tcllib/src tcllib/src/* udp/build udp/build/* udp/build.log udp/inst udp/inst/* udp/out udp/out/* udp/src udp/src/* kitdll/buildsrc/kitdll-0.0/starpack.vfs kitdll/buildsrc/kitdll-0.0/starpack.vfs/* kitdll/buildsrc/kitdll-0.0/test kitdll/buildsrc/kitdll-0.0/configure kitdll/buildsrc/kitdll-0.0/libtcl*.so kitdll/buildsrc/kitdll-0.0/Makefile kitdll/buildsrc/kitdll-0.0/*.o |
︙ | ︙ |
Modified kitcreator from [99ffc9d1a8] to [5f7e210f4a].
︙ | ︙ | |||
26 27 28 29 30 31 32 | if [ -f 'build/pre.sh' ]; then if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2 fi fi # Define the list of all packages, for cleaning purposes | | | 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 | if [ -f 'build/pre.sh' ]; then if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2 fi fi # Define the list of all packages, for cleaning purposes KITCREATOR_ALLPKGS="kitsh tcl tclvfs zlib tk itcl mk4tcl thread dbus tls tclx tcc4tcl tcllib udp" # Always rebuild kitsh rm -f "kitsh/.success" for pkg in ${KITCREATOR_ALLPKGS} ${KITCREATOR_PKGS}; do if [ "${mode}" != "retry" -o ! -f "${pkg}/.success" ]; then rm -f "${pkg}/build.log" "${pkg}/.success" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" |
︙ | ︙ |
Added udp/build.sh version [0751b83164].
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 | #! /usr/bin/env bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi TCLUDPVERS="1.0.11" SRC="src/tcludp-${TCLUDPVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/tcludp/files/tcludp/${TCLUDPVERS}/tcludp-${TCLUDPVERS}.tar.gz" BUILDDIR="$(pwd)/build/tcludp" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" PATCHDIR="$(pwd)/patches" export TCLUDPVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCLUDP_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCLUDP_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCLUDP_CPPFLAGS}" LIBS="${LIBS} ${KC_TCLUDP_LIBS}" export LDFLAGS CFLAGS CPPFLAGS LIBS rm -rf 'build' 'out' 'inst' mkdir 'build' 'out' 'inst' || exit 1 TCL_VERSION="unknown" if [ -f "${TCLCONFIGDIR}/tclConfig.sh" ]; then source "${TCLCONFIGDIR}/tclConfig.sh" fi export TCL_VERSION if [ ! -f "${SRC}" ]; then mkdir 'src' >/dev/null 2>/dev/null if [ ! -d 'buildsrc' ]; then rm -f "${SRC}.tmp" wget -O "${SRC}.tmp" "${SRCURL}" || exit 1 mv "${SRC}.tmp" "${SRC}" fi fi ( cd 'build' || exit 1 if [ ! -d '../buildsrc' ]; then gzip -dc "../${SRC}" | tar -xf - else cp -rp ../buildsrc/* './' fi cd "${BUILDDIR}" || exit 1 # Try to build as a shared object if requested if [ "${STATICTCLUDP}" = "0" ]; then tryopts="--enable-shared --disable-shared" elif [ "${STATICTCLUDP}" = "-1" ]; then tryopts="--enable-shared" else tryopts="--disable-shared" fi SAVE_CFLAGS="${CFLAGS}" for tryopt in $tryopts __fail__; do rm -rf "${INSTDIR}" mkdir "${INSTDIR}" if [ "${tryopt}" = "__fail__" ]; then exit 1 fi # Clean up, if needed make distclean >/dev/null 2>/dev/null if [ "${tryopt}" == "--enable-shared" ]; then isshared="1" else isshared="0" fi # If build a static TCLUDP for KitDLL, ensure that we use PIC # so that it can be linked into the shared object if [ "${isshared}" = "0" -a "${KITTARGET}" = "kitdll" ]; then CFLAGS="${SAVE_CFLAGS} -fPIC" else CFLAGS="${SAVE_CFLAGS}" fi export CFLAGS if [ "${isshared}" = '0' ]; then sed 's@USE_TCL_STUBS@XXX_TCL_STUBS@g' configure > configure.new else sed 's@XXX_TCL_STUBS@USE_TCL_STUBS@g' configure > configure.new fi cat configure.new > configure rm -f configure.new ( echo "Running: ./configure $tryopt --prefix=\"${INSTDIR}\" --exec-prefix=\"${INSTDIR}\" --libdir=\"${INSTDIR}/lib\" --with-tcl=\"${TCLCONFIGDIR}\" ac_cv_path_DTPLITE=no ${CONFIGUREEXTRA}" ./configure $tryopt --prefix="${INSTDIR}" --exec-prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ac_cv_path_DTPLITE=no ${CONFIGUREEXTRA} echo "Running: ${MAKE:-make} tcllibdir=\"${INSTDIR}/lib\"" ${MAKE:-make} tcllibdir="${INSTDIR}/lib" || exit 1 echo "Running: ${MAKE:-make} tcllibdir=\"${INSTDIR}/lib\" install" ${MAKE:-make} tcllibdir="${INSTDIR}/lib" install || exit 1 ) || continue break done # Create pkgIndex if needed if [ ! -e "${INSTDIR}/lib/udp${TCLUDPVERS}/pkgIndex.tcl" ]; then cat << _EOF_ > "${INSTDIR}/lib/udp${TCLUDPVERS}/pkgIndex.tcl" package ifneeded udp ${TCLUDPVERS} [list load {} udp] _EOF_ fi # Install files needed by installation cp -r "${INSTDIR}/lib" "${OUTDIR}" || exit 1 find "${OUTDIR}" -name '*.a' -type f | xargs -n 1 rm -f -- exit 0 ) || exit 1 exit 0 |